include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### tdeio_torioslave (kpart)

tde_add_kpart( tdeio_torioslave AUTOMOC

  SOURCES
        torioslave.cpp
  LINK
     tdecore-shared
     tdeio-shared

  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
    SOURCE torioslave.protocol
    DESTINATION ${SERVICES_INSTALL_DIR}
    PO_DIR "tork-desktops"
)
